[mpich-commits] [mpich] MPICH primary repository branch, master, updated. v3.2b2-18-g7c0f296
Service Account
noreply at mpich.org
Tue Apr 28 13:10:16 CDT 2015
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "MPICH primary repository".
The branch, master has been updated
via 7c0f2967f758e25000bbaba9181726cbf8864357 (commit)
via ab9f633ce90d13a51a7dc830e293b7fbe63b36a5 (commit)
via 6de3fab02b1904d52f5a935d387646b8bd9c7036 (commit)
from 2069c15edcf2aba2abfeb2ceb10033e7f8c99e14 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
http://git.mpich.org/mpich.git/commitdiff/7c0f2967f758e25000bbaba9181726cbf8864357
commit 7c0f2967f758e25000bbaba9181726cbf8864357
Author: Min Si <msi at il.is.s.u-tokyo.ac.jp>
Date: Mon Apr 27 13:07:37 2015 -0500
Patched libtool for inter-library dependency on FreeBSD.
The latest FreeBSD production release (10.1-RELEASE) does not support
inter-library dependency but libtool cannot detect it correctly. This
patch sets the deplibs_check_method to unknown for FreeBSD, thus all
dependent shared liraries (i.e. -lpthread) can be added in mpicc.
Signed-off-by: Pavan Balaji <balaji at anl.gov>
diff --git a/autogen.sh b/autogen.sh
index 5370dbf..5bdf317 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -925,12 +925,12 @@ if [ "$do_build_configure" = "yes" ] ; then
# Newer versions should have this patch already included.
if [ -f $amdir/confdb/libtool.m4 ] ; then
# There is no need to patch if we're not going to use Fortran.
- ifort_patch_requires_rebuild=no
+ libtool_patch_requires_rebuild=no
if [ $do_bindings = "yes" ] ; then
echo_n "Patching libtool.m4 for compatibility with ifort on OSX... "
patch -N -s -l $amdir/confdb/libtool.m4 maint/darwin-ifort.patch
if [ $? -eq 0 ] ; then
- ifort_patch_requires_rebuild=yes
+ libtool_patch_requires_rebuild=yes
# Remove possible leftovers, which don't imply a failure
rm -f $amdir/confdb/libtool.m4.orig
echo "done"
@@ -939,7 +939,22 @@ if [ "$do_build_configure" = "yes" ] ; then
fi
fi
- if [ $ifort_patch_requires_rebuild = "yes" ] ; then
+ # Set deplibs_check_method to unknown instead of pass_all on FreeBSD.
+ # Because the inter-library dependency is broken on the latest
+ # FreeBSD production release (10.1-RELEASE), but libtool cannot detect
+ # it correctly.
+ echo_n "Patching libtool.m4 for compatibility with inter-library dependency on FreeBSD... "
+ patch -N -s -l $amdir/confdb/libtool.m4 maint/freebsd.patch
+ if [ $? -eq 0 ] ; then
+ libtool_patch_requires_rebuild=yes
+ # Remove possible leftovers, which don't imply a failure
+ rm -f $amdir/confdb/libtool.m4.orig
+ echo "done"
+ else
+ echo "failed"
+ fi
+
+ if [ $libtool_patch_requires_rebuild = "yes" ] ; then
# Rebuild configure
(cd $amdir && $autoconf -f) || exit 1
# Reset libtool.m4 timestamps to avoid confusing make
diff --git a/maint/freebsd.patch b/maint/freebsd.patch
new file mode 100644
index 0000000..45afb60
--- /dev/null
+++ b/maint/freebsd.patch
@@ -0,0 +1,11 @@
+--- ../confdb/libtool.m4~ 2015-04-25 09:07:47.000000000 -0500
++++ ../confdb/libtool.m4 2015-04-25 09:08:17.000000000 -0500
+@@ -3503,7 +3503,7 @@
+ ;;
+ esac
+ else
+- lt_cv_deplibs_check_method=pass_all
++ lt_cv_deplibs_check_method=unknown
+ fi
+ ;;
+
http://git.mpich.org/mpich.git/commitdiff/ab9f633ce90d13a51a7dc830e293b7fbe63b36a5
commit ab9f633ce90d13a51a7dc830e293b7fbe63b36a5
Author: Min Si <msi at il.is.s.u-tokyo.ac.jp>
Date: Sun Apr 26 21:31:13 2015 -0500
Added function check and declaration for hstrerror.
On FreeBSD-10.1, function hstrerror is implemented in libc but its
declaration is disabled in netdb.h by default. Thus error "implicit
declaration of function hstrerrori" was reported when compiling hydra.
This patch adds two steps in hydra configure in order to transparently
fix this issue:
1. Check if function hstrerror exists (in libc).
2. Add the declaration of hstrerror if it exists in libc but the
declaration is disabled.
Signed-off-by: Pavan Balaji <balaji at anl.gov>
diff --git a/src/pm/hydra/configure.ac b/src/pm/hydra/configure.ac
index 99aee91..94b7ba0 100644
--- a/src/pm/hydra/configure.ac
+++ b/src/pm/hydra/configure.ac
@@ -169,7 +169,11 @@ AC_SEARCH_LIBS(hstrerror, resolv,)
# Check for necessary functions
AC_CHECK_FUNCS(gettimeofday time strdup sigaction signal usleep alloca unsetenv \
strerror strsignal stat fcntl alarm isatty inet_ntop getpgid \
- setsid killpg)
+ setsid killpg hstrerror)
+
+if test "$ac_cv_func_hstrerror" = "yes" ; then
+ PAC_FUNC_NEEDS_DECL([#include <netdb.h>],hstrerror)
+fi
if test "$ac_cv_func_gettimeofday" = "yes" ; then
PAC_FUNC_NEEDS_DECL([#include <sys/time.h>],gettimeofday)
diff --git a/src/pm/hydra/include/hydra.h b/src/pm/hydra/include/hydra.h
index c14de0a..393c1de 100644
--- a/src/pm/hydra/include/hydra.h
+++ b/src/pm/hydra/include/hydra.h
@@ -157,6 +157,10 @@ extern char *HYD_dbg_prefix;
extern char **environ;
#endif /* MANUAL_EXTERN_ENVIRON */
+#if defined NEEDS_HSTRERROR_DECL
+const char * hstrerror(int err);
+#endif /* NEEDS_HSTRERROR_DECL */
+
#if defined NEEDS_GETTIMEOFDAY_DECL
int gettimeofday(struct timeval *tv, struct timezone *tz);
#endif /* NEEDS_GETTIMEOFDAY_DECL */
http://git.mpich.org/mpich.git/commitdiff/6de3fab02b1904d52f5a935d387646b8bd9c7036
commit 6de3fab02b1904d52f5a935d387646b8bd9c7036
Author: Min Si <msi at il.is.s.u-tokyo.ac.jp>
Date: Sun Apr 26 21:05:20 2015 -0500
Removed duplicate header check in src/pm/hydra/configure.ac.
Signed-off-by: Pavan Balaji <balaji at anl.gov>
diff --git a/src/pm/hydra/configure.ac b/src/pm/hydra/configure.ac
index bb290c4..99aee91 100644
--- a/src/pm/hydra/configure.ac
+++ b/src/pm/hydra/configure.ac
@@ -157,7 +157,7 @@ PAC_ENABLE_COVERAGE
# Check if the necessary headers are available
AC_HEADER_STDC
AC_CHECK_HEADERS(unistd.h strings.h sys/types.h sys/socket.h sched.h sys/stat.h sys/param.h \
- netinet/in.h netinet/tcp.h sys/un.h netdb.h sys/time.h time.h ifaddrs.h arpa/inet.h \
+ netinet/in.h netinet/tcp.h sys/un.h sys/time.h time.h ifaddrs.h arpa/inet.h \
poll.h fcntl.h netdb.h winsock2.h windows.h)
# These functions are in additional libraries on some platforms (like Solaris).
-----------------------------------------------------------------------
Summary of changes:
autogen.sh | 21 ++++++++++++++++++---
maint/freebsd.patch | 11 +++++++++++
src/pm/hydra/configure.ac | 8 ++++++--
src/pm/hydra/include/hydra.h | 4 ++++
4 files changed, 39 insertions(+), 5 deletions(-)
create mode 100644 maint/freebsd.patch
hooks/post-receive
--
MPICH primary repository
More information about the commits
mailing list